// Module Author: Biju G.C. 2003.0625
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://quicktools.mozdev.org/

var QuickToolsPrefWindow;  //Declare

// Define QuickTools object
// Author: Biju G.C. 2003.0625
QuickToolsPrefWindow = function() 
{

  QuickToolsPrefWindow = new Function();
  QuickToolsPrefWindow.prototype.New = function(){return new this.constructor()};

  var lstAdd  = QuickToolsSettings.addList;
  var oPref   = QuickToolsSettings.preferences;
  var oConst  = QuickToolsConst ;


  // Save the Preferences to profile
  // Author: Biju G.C. 2003.0625
  QuickToolsPrefWindow.prototype.savePreferences = function ()
  {
    var oCurrMenu;
    var sCurrItem;
    for(i=0;i < lstAdd.length; i++)
    {
      sCurrItem = lstAdd[i];
      oCurrMenu = document.getElementById(oConst.PREFIX + sCurrItem + oConst.CHECKSUFIX);
      if(oCurrMenu)
        if(oCurrMenu.hasAttribute('checked')) oPref.setIntPref(sCurrItem, 1);
        else oPref.setIntPref(sCurrItem, 0);
    }
  }


  // Featch saved preferences from profile 
  // to update Preferences dialog screen
  // Author: Biju G.C. 2003.0625
  QuickToolsPrefWindow.prototype.init = function()
  {
    var sCurrItem;
    var i;
    
    for(i=0;i < lstAdd.length; i++)
    {
      sCurrItem = lstAdd[i];
      if(!oPref.prefHasUserValue(sCurrItem) || oPref.getPrefType(sCurrItem) != oConst.PREF_INT)
      {
        oPref.setIntPref(sCurrItem, 1);
      }

      oCurrMenu = document.getElementById(oConst.PREFIX + sCurrItem + oConst.CHECKSUFIX);
      if(oCurrMenu)
        if(oPref.getIntPref(sCurrItem) == 1) oCurrMenu.setAttribute('checked',true);
        else oCurrMenu.removeAttribute('checked');
      
    }
  }

  // Actual Create Instance
  QuickToolsPrefWindow = new QuickToolsPrefWindow();
}

QuickToolsPrefWindow();  // Call to Create Instance

