// Module Author: Biju G.C.  2003.0625
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://quicktools.mozdev.org/


// Define all constants used in QuickTools 
// Author: Biju G.C. 2003.0625
var QuickToolsConst = 
{
  PREF_INT    : 64,
  PREFIX      : 'quicktools.',
  TOPSEP      : 'topsep',
  QUICKTOOLS  : 'quicktoolsitem',
  URLINSTALL  : 'urlinstall',
  CALENDAR    : 'calendar',
  ABOUTCONFIG : 'aboutconfig',
  ABOUTBLANK  : 'aboutblank',
  MENUSUFIX   : '.menuitem',
  CHECKSUFIX  : '.checkbox'
}


// Declare object for all other settings in QuickTools 
// Author: Biju G.C. 2003.0625
var QuickToolsSettings = {};


// List of all menu items for preference setting
// Author: Biju G.C. 2003.0625
QuickToolsSettings.addList = new Array(
  QuickToolsConst.TOPSEP, 
  QuickToolsConst.QUICKTOOLS, 
  QuickToolsConst.CALENDAR, 
  QuickToolsConst.URLINSTALL
);


// List of all menu items to be remove from profile
// Author: Biju G.C. 2003.0625
QuickToolsSettings.removeList = new Array();


// Instance QuickTools Profile Branch
// Author: Biju G.C. 2003.0625
QuickToolsSettings.preferences = Components.classes["@mozilla.org/preferences-service;1"]
                                   .getService(Components.interfaces.nsIPrefService)
                                    .getBranch(QuickToolsConst.PREFIX);
